DataSet is objects which holds all information about data.

### Properties

Property | Type | Default | Description
--- | --- | --- | ---
categoryField | String |  | Category field name in your dataProvider. It needs to contains a date/time value. Note: we recommend using JavaScript timestamps to specify date/time. If you are specifying dates as strings in your data, i.e. "2015-01-05", we strongly recommend setting dataDateFormat as well.
color | String |  | Color of the data set. One of colors from AmStockChart.colors array will be used if not set.
compared | Boolean | false | Whether this data set is selected for comparing. If you change this property, you should call stockChart.validateData() method in order the changes to be applied.
dataProvider | Array[Object] |  | An array of data points to be used as data. Important: the data points needs to come pre-ordered in ascending order. Data with incorrect order might result in visual and functional glitches on the chart.
fieldMappings | Array[Object] |  | Array of field mappings. Field mapping is an object with fromField and toField properties. fromField is a name of your value field in dataProvider. toField might be chosen freely, it will be used to set value/open/close/high/low fields for the StockGraph. Example: {fromField:"val1", toField:"value"}.
showInCompare | Boolean | true | Specifies whether this data set should be visible in "compare to" list.
showInSelect | Boolean | true | Specifies whether this data set should be visible in "select" dropdown.
stockEvents | Array[StockEvent] |  | Array of StockEvent objects.
title | String |  | DataSet title.

### Methods

DataSet class does not have any methods.

### Events

DataSet class does not have any events.